/**
 * Guess the media type (video, audio, etc.) of an href. Inrered from
 * the extention of the pathname. For example
 * https://example.com/song.mp3?some=query will spot the .mp3 part and
 * infer this is an audio file.
 *
 * @param {Source[]} sources - The list of URLs and media types for this media.
 * @returns {MediaType} - The guessed mime-type prefix.
 */
export function getMediaType(sources: Source[]): MediaType;
export type MediaType = "audio" | "image" | "video" | null;
/**
 * min
 */
export type Source = {
    src: string;
    type: string | null;
};
//# sourceMappingURL=media-type.d.ts.map